Subject: bug#1779: 23.0.60; proced with variable-pitch header line

From: Stefan Monnier <[email-masked]>
Date: Sun, 04 Jan 2009 10:46:45 -0500

> The justification is customizable in proced-grammar-alist.  I set it to
> `left' for all headers and modified proced-format by adapting the
> :align-to code from buff-menu.el, but the headers still failed to align
> with the columns with a variable-pitch header-line face.  But shouldn't
> it be possible in principle?  Maybe someone who knows the code better
> can make it work.

You can also take a look at mpc.el
(bzr co http://www.iro.umontreal.ca/~monnier/bzr/mpc) where I do it with
align-to as well.  I "try" to handle right alignment, but in a very
naive way.  I don't think we can currently do it right in Elisp, because
there is a lot of missing information.  I could imagine getting it to
work, with a lot of effort based on forcing redisplay and using
posn-at-point to measure the display size of particular pieces of text.
But it's likely to be too slow to be practical.

        Stefan